Index: uspace/lib/net/netif/netif_remote.c
===================================================================
--- uspace/lib/net/netif/netif_remote.c	(revision 84c20da1ad43d2a9494bd7e47d9adb9bd369f5f4)
+++ uspace/lib/net/netif/netif_remote.c	(revision dc94cb2d6a9d09b061c8a475391db0c6efbf7b85)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libnet 
+/** @addtogroup netif
  * @{
  */
@@ -35,28 +35,14 @@
  */
 
+#include <ipc/services.h>
+
+#include <net_modules.h>
+#include <adt/measured_strings.h>
+#include <packet/packet.h>
+#include <packet/packet_client.h>
+#include <net_device.h>
 #include <netif_remote.h>
-#include <packet_client.h>
-#include <generic.h>
+#include <netif_messages.h>
 
-#include <ipc/services.h>
-#include <ipc/netif.h>
-
-#include <net/modules.h>
-#include <adt/measured_strings.h>
-#include <net/packet.h>
-#include <net/device.h>
-
-/** Return the device local hardware address.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[out] address	The device local hardware address.
- * @param[out] data	The address data.
- * @return		EOK on success.
- * @return		EBADMEM if the address parameter is NULL.
- * @return		ENOENT if there no such device.
- * @return		Other error codes as defined for the
- *			netif_get_addr_message() function.
- */
 int netif_get_addr_req_remote(int netif_phone, device_id_t device_id,
     measured_string_ref *address, char **data)
@@ -66,32 +52,10 @@
 }
 
-/** Probe the existence of the device.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[in] irq	The device interrupt number.
- * @param[in] io	The device input/output address.
- * @return		EOK on success.
- * @return		Other error codes as defined for the
- *			netif_probe_message().
- */
-int
-netif_probe_req_remote(int netif_phone, device_id_t device_id, int irq, int io)
+int netif_probe_req_remote(int netif_phone, device_id_t device_id, int irq, int io)
 {
 	return async_req_3_0(netif_phone, NET_NETIF_PROBE, device_id, irq, io);
 }
 
-/** Send the packet queue.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[in] packet	The packet queue.
- * @param[in] sender	The sending module service.
- * @return		EOK on success.
- * @return		Other error codes as defined for the generic_send_msg()
- *			function.
- */
-int
-netif_send_msg_remote(int netif_phone, device_id_t device_id, packet_t packet,
+int netif_send_msg_remote(int netif_phone, device_id_t device_id, packet_t packet,
     services_t sender)
 {
@@ -100,14 +64,4 @@
 }
 
-/** Start the device.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @return		EOK on success.
- * @return		Other error codes as defined for the find_device()
- *			function.
- * @return		Other error codes as defined for the
- *			netif_start_message() function.
- */
 int netif_start_req_remote(int netif_phone, device_id_t device_id)
 {
@@ -115,14 +69,4 @@
 }
 
-/** Stop the device.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @return		EOK on success.
- * @return		Other error codes as defined for the find_device()
- *			function.
- * @return		Other error codes as defined for the
- *			netif_stop_message() function.
- */
 int netif_stop_req_remote(int netif_phone, device_id_t device_id)
 {
@@ -130,11 +74,4 @@
 }
 
-/** Return the device usage statistics.
- *
- * @param[in] netif_phone The network interface phone.
- * @param[in] device_id	The device identifier.
- * @param[out] stats	The device usage statistics.
- * @return EOK on success.
- */
 int netif_stats_req_remote(int netif_phone, device_id_t device_id,
     device_stats_ref stats)
@@ -153,20 +90,6 @@
 }
 
-/** Create bidirectional connection with the network interface module and
- * registers the message receiver.
- *
- * @param[in] service   The network interface module service.
- * @param[in] device_id The device identifier.
- * @param[in] me        The requesting module service.
- * @param[in] receiver  The message receiver.
- *
- * @return		The phone of the needed service.
- * @return		EOK on success.
- * @return		Other error codes as defined for the bind_service()
- *			function.
- */
-int
-netif_bind_service_remote(services_t service, device_id_t device_id,
-    services_t me, async_client_conn_t receiver)
+int netif_bind_service_remote(services_t service, device_id_t device_id, services_t me,
+    async_client_conn_t receiver)
 {
 	return bind_service(service, device_id, me, 0, receiver);
